## VitexSoftware-PHP-Pohoda-Connector.zip

=== Makefile ===
# vim: set tabstop=8 softtabstop=8 noexpandtab:
.PHONY: help
help: ## Displays this list of targets with descriptions
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[32m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: static-code-analysis
static-code-analysis: vendor ## Runs a static code analysis with phpstan/phpstan
	vendor/bin/phpstan analyse --configuration=phpstan-default.neon.dist --memory-limit=-1

.PHONY: static-code-analysis-baseline
static-code-analysis-baseline: check-symfony vendor ## Generates a baseline for static code analysis with phpstan/phpstan
	vendor/bin/phpstan analyze --configuration=phpstan-default.neon.dist --generate-baseline=phpstan-default-baseline.neon --memory-limit=-1

.PHONY: tests
tests: vendor
	vendor/bin/phpunit tests

.PHONY: vendor
vendor: composer.json composer.lock ## Installs composer dependencies
	composer install

.PHONY: cs
cs: ## Update Coding Standards
	vendor/bin/php-cs-fixer fix --config=.php-cs-fixer.dist.php --diff --verbose

# Use phpcs to reformat code to PSR12
codingstandards:
	phpcbf --colors --standard=PSR12 --extensions=php --ignore=vendor/ src/ 


xsd2php:
	rm -rf src/Pohoda src/metadata
	composer install
	vendor/bin/xsd2php -v convert xsd2php.yml doc/xsd/*.xsd
	phpcbf --colors --standard=PSR12 --extensions=php --ignore=vendor/ src/

=== debian/changelog ===
php-vitexsoftware-pohoda-connector (0.5.0) UNRELEASED; urgency=medium

  * Bank added

 -- vitex <info@vitexsoftware.cz>  Mon, 02 Dec 2024 13:31:13 +0100

php-vitexsoftware-pohoda-connector (0.4.2) unstable; urgency=medium

  * Better Bank parser

 -- vitex <info@vitexsoftware.cz>  Mon, 02 Dec 2024 13:31:10 +0100

php-vitexsoftware-pohoda-connector (0.4.1) unstable; urgency=low

  [ Vítězslav Dvořák ]
  * Initial release. Closes: #nnnn

 -- vitex <info@vitexsoftware.cz>  Sat, 09 Nov 2024 00:27:42 +0100

=== debian/control ===
Source: php-vitexsoftware-pohoda-connector
Section: fintech
Priority: optional
Maintainer: Vítězslav Dvořák <info@vitexsoftware.cz>
Build-Depends: debhelper (>= 7.0.50~), composer, moreutils, jq, phpdocumentor, php-mbstring, php-curl, php-intl, debhelper-compat (= 10)
Standards-Version: 4.5.1
Homepage: https://github.com/VitexSoftware/PHP-Pohoda-Connector
Rules-Requires-Root: no
#Vcs-Git: https://salsa.debian.org/debian/php-vitexsoftware-pohoda-connector.git
#Vcs-Browser: https://salsa.debian.org/debian/php-vitexsoftware-pohoda-connector

Package: php-vitexsoftware-pohoda-connector
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, php-curl, php-xml, php-vitexsoftware-ease-core, composer
Provides: php-pohoda
Description: client library for Sormware's Pohoda mServer
    PHP library for communication with Pohoda mServer.
    .
    This package provides a simple way to communicate with Pohoda mServer
    using PHP.

Package: php-vitexsoftware-pohoda-connector-doc
Depends: ${misc:Depends}
Architecture: all
Suggests: www-browser
Section: doc
Priority: optional
Multi-Arch: foreign
Description: Documentation for php-vitexsoftware-pohoda-connector
    PHP library for communication with Pohoda mServer.
    .
    This package provides a simple way to communicate with Pohoda mServer
    using PHP.
    .
    This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@


override_dh_prep:
	rm -f composer.lock
	composer install --no-dev
	phpdoc -d src
	mkdir -p docs ; rm -fr docs/* ; mv .phpdoc/build/* docs
	dh_prep

#override_dh_auto_install:
#	dh_auto_install -- prefix=/usr

override_dh_install:
	dh_install	
	jq '.version = "'`dpkg-parsechangelog | sed -n 's/^Version: //p'| sed 's/~.*//' `'"'  debian/config/composer.json |sponge debian/php-vitexsoftware-pohoda-connector/usr/share/php/mServer/composer.json
	sed -i -e  "s/\/\.\.\/\.\.\//\//g" debian/php-vitexsoftware-pohoda-connector/usr/share/php/mServer/Client.php
